#ifndef OBJECT_H
#define OBJECT_H

#include <iostream>
#include <set>

#include "mesh.h"

class Object {
 public:
  void BuildObject(std::set<Mesh, NodeCmp<Mesh> > &meshes)
    { this->meshes=meshes; };
  void Write(const char *filename, const char *textureFile);
 private:
  std::set<Mesh, NodeCmp<Mesh> > &meshes;
};

#endif
