#ifndef TEXTURE_H
#define TEXTURE_H

#include <fstream>
#include <string>
#include <vector>

class Textures {
 public:
  void Add(std::string textureFile);
  int GetID(std::string textureFile);
  std::string GetName(int ID);

  void Write(std::ofstream &output);

  std::string StripPath(const std::string &file);
 protected:
  std::vector<std::string> textureFiles;
};

#endif
