// $Id: debug.cpp 72 2003-10-24 23:58:51Z felfert $
// 
// Debug output

#include "stdafx.h"

#ifdef _DEBUG

// Output formatted debug string, with LF appended
void
dbg(char *fmt, ...)
{
	int l;
	char buf[1024];
	va_list args;

	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	va_end(args);
	if ((l = lstrlen(buf))) {
		if (buf[l-1] != '\n')
			lstrcat(buf, "\n");
		OutputDebugString(buf);
	}
}

// Output formatted debug string, without LF
void
dbgc(char *fmt, ...)
{
	int l;
	char buf[1024];
	va_list args;

	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	va_end(args);
	if ((l = lstrlen(buf)))
		OutputDebugString(buf);
}
#else
void dbg(char *fmt, ...) {}
void dbgc(char *fmt, ...) {}
#endif

// Output formatted error string, with LF appended
void
err(char *fmt, ...)
{
	int l;
	char buf[1024];
	va_list args;

	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	va_end(args);
	if ((l = lstrlen(buf))) {
		if (buf[l-1] != '\n')
			lstrcat(buf, "\n");
		OutputDebugString(buf);
	}
}
