#include <config.h>

#include <string.h>

#include "error.h"
#include "variable.h"
#include "listiterator.h"

namespace dna
{

ListIterator::ListIterator(Structure base)
    : structure(base)
{
}

ListIterator::~ListIterator()
{
}

bool ListIterator::hasNext()
{
    return structure.isGood();
}

Structure ListIterator::next()
{
    Structure result = structure;
    // advance pointer
    structure = structure.getVariable("next").getValueStructure();

    return result;
}

} // end of namespace dna

