#ifndef MSVC
#error You are using the static MSVC version of config.h but MSVC is not defined
#endif

// Configuration settings for microsoft visual C compiler

#pragma warning(disable: 4786) // Truncated debug info
#pragma warning(disable: 4244) //  conversion from double to float

// msvc doesn't support __attribute__
#define __attribute__(x)

// msvc's version of finite() is _finite()
#include <float.h>
#define finite _finite

// strcasecmp isn't supported by msvc
#include <tchar.h>
#define strncasecmp _strnicmp
#define vsnprintf _vsnprintf
#define snprintf _snprintf

