#include "mesh.h"
#include "xmlwriter.h"

namespace blend2cs
{

Mesh::Mesh()
    : usecount(0)
{
}

Mesh::~Mesh()
{
}

void Mesh::writeMixMode(XmlWriter& xml) const
{
    if(flags.mixmode != flags.COPY) {
        xml.openSection("mixmode");
	switch (flags.mixmode) {
	    case flags.ADD: xml.writeTag("add"); break;
	    case flags.MULTIPLY: xml.writeTag("multiply"); break;
	    case flags.MULTIPLY2: xml.writeTag("multiply2"); break;
	    case flags.ALPHA:
	        xml.writeTag("alpha");
		xml.write(flags.alpha);
		break;
	}
        xml.closeSection("mixmode");
    }
}

}
