#ifndef __BLEND2CS_VECTORITERATOR_H__
#define __BLEND2CS_VECTORITERATOR_H__

#include <vector>
#include "iterator.h"

namespace blend2cs
{

template<class T>
class VectorIterator : public Iterator< std::vector<T> >
{
public:
    VectorIterator(const std::vector<T>& container)
	: Iterator< std::vector<T> >(container)
    { }

    const T& next()
    { return *(this->i++); }
};

}

#endif

