#ifndef LIGHT_H
#define LIGHT_H

#include "blendconv.h"
#include "node.h"

class Light : public Node {
 public:
  Light() { nodeType=TLight; };

  void Extract(int lampID);
  void Write(std::ofstream &output,int type=0);

 protected:
  Vector location;
  Vector color;
  double radius;
};

#endif
