#ifndef PROPERTY_H
#define PROPERTY_H

#include <map>
#include <string>

enum BlenderProperty { 
  Boolean, 
  Integer, 
  Float, 
  String,
  Huh, 
  Timer
};

struct Property {
  std::string propertyName;
  std::string stringValue;  // value as a string
  int enumeration;     // value as an int
  BlenderProperty type;     // Type of property
};

typedef std::map<std::string, Property> PropertyMap;

#endif
