// $Id: LogDlg.h 72 2003-10-24 23:58:51Z felfert $
//
#if !defined(AFX_LOGDLG_H__47E1968C_54BA_4D43_966F_257834A0CB88__INCLUDED_)
#define AFX_LOGDLG_H__47E1968C_54BA_4D43_966F_257834A0CB88__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LogDlg.h : header file
//

#include "StdAfx.h"
#include "blender2csDlg.h"
#include "MsgEdit.h"
#include "ExternalExec.h"

/////////////////////////////////////////////////////////////////////////////
// LogDlg dialog

class LogDlg : public CDialog
{
// Construction
public:
	void RunBlend2Cs();
	void OutCallback(BOOL, CString);
	CMsgEdit m_cEdit;
	LogDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(LogDlg)
	enum { IDD = IDD_LOGDLG };
	CStatic	m_cStatus;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(LogDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(LogDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	DWORD m_nLineCount;
	ExternalExec ee;
	BOOL m_bRunning;
	BOOL m_bLastErr;
	CString m_sOutBuffer;
	CBlender2csDlg *settings;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGDLG_H__47E1968C_54BA_4D43_966F_257834A0CB88__INCLUDED_)
