// $Id: blender2csDlg.h 72 2003-10-24 23:58:51Z felfert $
//

#if !defined(AFX_BLENDER2CSDLG_H__AE2381EB_5351_4A3C_A87E_2573BF56099A__INCLUDED_)
#define AFX_BLENDER2CSDLG_H__AE2381EB_5351_4A3C_A87E_2573BF56099A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CBlender2csDlg dialog

class CBlender2csDlg : public CDialog
{
// Construction
public:
	CBlender2csDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBlender2csDlg)
	enum { IDD = IDD_BLENDER2CS_DIALOG };
	CComboBox	m_cTextureDir;
	CComboBox	m_cInputFilename;
	CComboBox	m_cOutputFilename;
	CString	m_sInputFilename;
	CString	m_sOutputFilename;
	CString	m_sTextureDir;
	int		m_nOutputMode;
	BOOL	m_bListFile;
	BOOL	m_bFixLamps;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBlender2csDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBlender2csDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowseOutput();
	afx_msg void OnBrowseInput();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void GetHistory(CString sSection, CComboBox &cCombo);
	void MergeHistory(CString sSection, CString sValue, bool bCaseSensitive);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BLENDER2CSDLG_H__AE2381EB_5351_4A3C_A87E_2573BF56099A__INCLUDED_)
